
singleton Material(hatch)
{
    mapTo = "hatch";
    diffuseMap[2] = "vehicles/kerras/hatch_c.dds";
    specularMap[2] = "vehicles/kerras/hatch_s.dds";
    normalMap[2] = "vehicles/kerras/hatch_n.dds";
    diffuseMap[1] = "vehicles/kerras/hatch_d.dds";
    specularMap[1] = "vehicles/kerras/hatch_s.dds";
    normalMap[1] = "vehicles/kerras/hatch_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/kerras/hatch_n.dds";
    //diffuseMap[3] = "vehicles/kerras/hatch_dirt.dds";
    //normalMap[3] = "vehicles/kerras/hatch_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(bodycolor)
{
    mapTo = "bodycolor";
    diffuseMap[2] = "vehicles/kerras/brzhatch_c.png";
    specularMap[2] = "vehicles/kerras/brzhatch_s.png";
    normalMap[2] = "vehicles/kerras/brzhatch_n.png";
    diffuseMap[1] = "vehicles/kerras/brzhatch_d.png";
    specularMap[1] = "vehicles/kerras/brzhatch_s.png";
    normalMap[1] = "vehicles/kerras/brzhatch_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/kerras/brzhatch_n.png";
    //diffuseMap[3] = "vehicles/kerras/brzhatch_dirt.png";
    //normalMap[3] = "vehicles/kerras/brzhatch_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(bodycolor_alt)
{
    mapTo = "bodycolor_alt";
    diffuseMap[2] = "vehicles/kerras/brzhatch_c_gen.png";
    specularMap[2] = "vehicles/kerras/brzhatch_s_gen.png";
    normalMap[2] = "vehicles/kerras/brzhatch_n_gen.png";
    diffuseMap[1] = "vehicles/kerras/brzhatch_d_gen.png";
    specularMap[1] = "vehicles/kerras/brzhatch_s_gen.png";
    normalMap[1] = "vehicles/kerras/brzhatch_n_gen.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/kerras/brzhatch_n_gen.png";
    //diffuseMap[3] = "vehicles/kerras/brzhatch_dirt_gen.png";
    //normalMap[3] = "vehicles/kerras/brzhatch_n_gen.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(doorshut)
{
    mapTo = "doorshut";
    diffuseMap[2] = "vehicles/kerras/brzhatch_c_gen.png";
    specularMap[2] = "vehicles/kerras/brzhatch_s_gen.png";
    normalMap[2] = "vehicles/kerras/car_sht_n.png";
    diffuseMap[1] = "vehicles/kerras/car_sht_d.png";
    specularMap[1] = "vehicles/kerras/brzhatch_s_gen.png";
    normalMap[1] = "vehicles/kerras/car_sht_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/kerras/car_sht_n.png";
    //diffuseMap[3] = "vehicles/kerras/brzhatch_dirt_gen.png";
    //normalMap[3] = "vehicles/kerraz/car_sht_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    //diffuseColor[3] = "1.5 1.5 1.5 1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(common)
{
    mapTo = "common";
    diffuseColor[0] = "0.996078 0.996078 0.996078 1";
    specular[0] = "0.5 0.5 0.5 1";
    specularPower[0] = "50";
    translucentBlendOp = "None";
    diffuseColor[1] = "0.00392157 0.00392157 0.00392157 0.008";
    diffuseColor[2] = "0.00392157 0.00392157 0.00392157 0.008";
    diffuseMap[0] = "vehicles/kerras/car_brzhatch_gen_d.png";
    normalMap[0] = "vehicles/kerras/car_brzhatch_gen_n.png";
    specularMap[0] = "vehicles/kerras/car_brzhatch_gen_s.png";
    materialTag1 = "vehicle";
    materialTag0 = "beamng";
};

singleton Material(interior)
{
   mapTo = "interior";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/kerras/car_brzhatch_int_d.png";
   normalMap[0] = "vehicles/kerras/car_brzhatch_int_n.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(speedo)
{
   mapTo = "speedo";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/kerras/speedo.png";
   //normalMap[1] = "vehicles/kerras/car_brzhatch_int_n.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(tacho)
{
   mapTo = "tacho";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/kerras/tacho.png";
   //normalMap[1] = "vehicles/kerras/tacho.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(peyote_interior)
{
   mapTo = "peyote_interior";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/kerras/peyote_interior.png";
   materialTag0 = "Miscellaneous";
};

	
singleton Material(wheel)
{   
   mapTo = "wheel";
   diffuseMap[0] = "vehicles/kerras/car_brzhatch_tir_d.png";
   normalMap[0] = "vehicles/kerras/car_brzhatch_tir_n.png";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   castShadows = "1";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = "0"; //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(chrome)
{
   mapTo = "chrome";
   diffuseColor[0] = "0.262144 0.262144 0.262144 1";
   specular[0] = "0.03125 0.03125 0.03125 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
};

singleton Material(glass)
{
   mapTo = "glass";
   //diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "Mul";
   diffuseMap[0] = "vehicles/kerras/glass.png";
   translucent = "1";
   translucentZWrite = "1";
   materialTag0 = "Miscellaneous";
   alphaTest = "1";
   alphaRef = "46";
   materialTag1 = "vehicle";
};

singleton Material(glass_int)
{
   mapTo = "glass_int";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "Add";
   diffuseMap[0] = "vehicles/kerras/glass.png";
   translucent = "1";
   translucentZWrite = "1";
   alphaTest = "1";
   alphaRef = "0";
};

singleton Material(lights2)
{
   mapTo = "lights2";
   diffuseMap[2] = "vehicles/kerras/hatbrz_aa_lights_d.png";
   specularMap[2] = "vehicles/kerras/hatbrz_aa_lights_s.png";
   diffuseMap[1] = "vehicles/kerras/hatbrz_aa_lights_d.png";
   specularMap[1] = "vehicles/kerras/hatbrz_aa_lights_s.png";
   diffuseMap[0] = "vehicles/common/null.png";
   specularMap[0] = "vehicles/common/null.png";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "0";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lights3)
{
   mapTo = "lights3";
   diffuseColor[0] = "0.996078 0.996078 0.996078 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   translucentBlendOp = "None";
   diffuseMap[0] = "vehicles/kerras/burrito_lights_d.png";
   //normalMap[1] = "vehicles/kerras/burrito_lights_s.png";
   materialTag0 = "Miscellaneous";
};

singleton Material(lights4)
{
   mapTo = "lights4";
   diffuseMap[2] = "vehicles/kerras/hatbrz_aa_lights_d.png";
   specularMap[2] = "vehicles/kerras/hatbrz_aa_lights_s.png";
   diffuseMap[1] = "vehicles/kerras/hatbrz_aa_lights_d.png";
   specularMap[1] = "vehicles/kerras/hatbrz_aa_lights_s.png";
   diffuseMap[0] = "vehicles/common/null.png";
   specularMap[0] = "vehicles/common/null.png";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(lights5)
{
   mapTo = "lights5";
   diffuseMap[2] = "vehicles/kerras/burrito_lights_d.png";
   specularMap[2] = "vehicles/kerras/burrito_lights_s.png";
   diffuseMap[1] = "vehicles/kerras/burrito_lights_d.png";
   specularMap[1] = "vehicles/kerras/burrito_lights_s.png";
   diffuseMap[0] = "vehicles/common/null.png";
   specularMap[0] = "vehicles/common/null.png";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(coupe)
{
   mapTo = "coupe";
   diffuseMap[2] = "vehicles/coupe/coupe_c.dds";
   specularMap[2] = "vehicles/coupe/coupe_s.dds";
   normalMap[2] = "vehicles/coupe/coupe_n.dds";
   diffuseMap[1] = "vehicles/coupe/coupe_d.dds";
   specularMap[1] = "vehicles/coupe/coupe_s.dds";
   normalMap[1] = "vehicles/coupe/coupe_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/coupe/coupe_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[2] = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(pigeon)
{
   mapTo = "pigeon";
   diffuseMap[2] = "vehicles/kerras/pigeon_c.dds";
   specularMap[2] = "vehicles/kerras/pigeon_s.dds";
   normalMap[2] = "vehicles/kerras/pigeon_n.dds";
   diffuseMap[1] = "vehicles/kerras/pigeon_d.dds";
   specularMap[1] = "vehicles/kerras/pigeon_s.dds";
   normalMap[1] = "vehicles/kerras/pigeon_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/kerras/pigeon_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   instanceDiffuse[2] = true;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(coupe_engine)
{
    mapTo = "coupe_engine";
    diffuseMap[0] = "vehicles/coupe/coupe_engine_d.dds";
    specularMap[0] = "vehicles/coupe/coupe_engine_s.dds";
    normalMap[0] = "vehicles/coupe/coupe_engine_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(wheeltex)
{
   mapTo = "wheeltex";
   diffuseMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/kerras/color_n.tga";
   specularPower[0] = "16";
   specularMap[0] = "vehicles/common/null.dds";
   useAnisotropic[0] = "1";
   alphaTest = "1";
   alphaRef = "0";
   materialTag0 = "beamng";
   materialTag1 = "vehicle";
   diffuseMap[1] = "vehicles/kerras/color_d.png";
   diffuseMap[2] = "vehicles/kerras/color_c.png";
   normalMap[1] = "vehicles/kerras/color_n.tga";
   normalMap[2] = "vehicles/kerras/color_n.tga";
   specularMap[1] = "vehicles/kerras/color_s.png";
   specularMap[2] = "vehicles/kerras/color_s.png";
   dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
   diffuseColor[2] = "0.992157 0.992157 0.992157 0.983";
};




singleton Material(pigeon_600)
{
   mapTo = "pigeon_600";
    diffuseMap[1] = "pigeon_engine_600_d.png";
    specularMap[1] = "pigeon_engine_600_s.png";
    normalMap[1] = "pigeon_engine_600_n.png";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "pigeon_engine_600_n.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "object";
};

singleton Material(pigeon_bin)
{
    mapTo = "pigeon_bin";
    diffuseMap[0] = "garbage_d.dds";
    normalMap[0] = "garbage_n.dds";
    specularMap[0] = "garbage_s.dds";
    specularPower[0] = "8";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng";
    materialTag1 = "Utah";
    specular[0] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(semi_gauges)
{
   mapTo = "semi_gauges";
   diffuseMap[1] = "vehicles/semi/semi_gauges_d.dds";
   specularMap[1] = "vehicles/semi/semi_gauges_s.dds";
   normalMap[1] = "vehicles/semi/semi_gauges_n.dds";
   diffuseMap[0] = "vehicles/semi/semi_gauges_d.dds";
   specularMap[0] = "vehicles/semi/semi_gauges_s.dds";
   normalMap[0] = "vehicles/semi/semi_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "0";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 0.2";
};